Bug 233580 - graphics/cloudcompare: Remove qPCL plugin to fix compile errors
Summary: graphics/cloudcompare: Remove qPCL plugin to fix compile errors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-27 20:41 UTC by Neel Chauhan
Modified: 2018-12-05 20:43 UTC (History)
2 users (show)

See Also:
neel: maintainer-feedback+


Attachments
Patch (Revision 1) (1.28 KB, patch)
2018-11-27 20:41 UTC, Neel Chauhan
neel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2018-11-27 20:41:50 UTC
Created attachment 199616 [details]
Patch (Revision 1)

Updating graphics/pcl-pointclouds to 1.9.0 has broken graphics/cloudcompare. Here, I disable the qPCL plugin to fix compilation issues.
Comment 1 Kurt Jaeger freebsd_committer 2018-12-03 20:13:57 UTC
testbuilds@work
Comment 2 commit-hook freebsd_committer 2018-12-05 13:24:27 UTC
A commit references this bug:

Author: pi
Date: Wed Dec  5 13:24:12 UTC 2018
New revision: 486668
URL: https://svnweb.freebsd.org/changeset/ports/486668

Log:
  graphics/cloudcompare: remove qPCL plugin to unbreak build

  PR:		233580
  Submitted by:	Neel Chauhan <neel@neelc.org> (maintainer)
  MFH:		2018Q4

Changes:
  head/graphics/cloudcompare/Makefile
  head/graphics/cloudcompare/pkg-plist
Comment 3 commit-hook freebsd_committer 2018-12-05 20:40:06 UTC
A commit references this bug:

Author: pi
Date: Wed Dec  5 20:39:22 UTC 2018
New revision: 486721
URL: https://svnweb.freebsd.org/changeset/ports/486721

Log:
  MFH: r486668

  graphics/cloudcompare: remove qPCL plugin to unbreak build

  PR:		233580
  Submitted by:	Neel Chauhan <neel@neelc.org> (maintainer)
  Approved by:	portmgr (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/graphics/cloudcompare/Makefile
  branches/2018Q4/graphics/cloudcompare/pkg-plist
Comment 4 Kurt Jaeger freebsd_committer 2018-12-05 20:43:39 UTC
Committed, thanks!